Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens neuroanalyst
  • Gallery in DataLens
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • Create workbook
        • Delete workbook
        • Delete workbooks
        • Get workbook
        • Get workbooks list
        • Get workbook list by ids
        • Move workbook
        • Move workbooks
        • Update workbook
        • Get workbook entries
        • Update workbook access bindings
        • List workbook access bindings
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • EntryScope
  • Responses
  • 200 OK
  • Body
  • GetWorkbookEntriesEntry
  1. DataLens Public API
  2. DataLens API
  3. Workbook
  4. Get workbook entries
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
    • EntryScope
  • Responses
  • 200 OK
    • Body
    • GetWorkbookEntriesEntry

Get workbook entries

Returns a list of entries in the specified workbook.

RequestRequest

POST

https://api.datalens.tech/rpc/getWorkbookEntries

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

x-dl-audit-mode

Type: string

Const: true

Example: ``

BodyBody

application/json
{
  "workbookId": "example",
  "includePermissionsInfo": true,
  "page": 0.5,
  "pageSize": 0.5,
  "createdBy": "example",
  "scope": "dash",
  "orderBy": {
    "field": "name",
    "direction": "asc"
  },
  "filters": {
    "name": "example"
  }
}

Name

Description

workbookId

Type: string

ID of the workbook whose entries to retrieve.

Example: example

createdBy

Type: string

Filter entries by creator ID.

Example: example

filters

Type: object

name

Type: string

Filter entries by name.

Example: example

Filtering configuration.

Example
{
  "name": "example"
}

includePermissionsInfo

Type: boolean

Include permission information in the response.

orderBy

Type: object

direction

Type: string

Workbook entry sorting direction.

Enum: asc, desc

field

Type: string

Field to order workbook entries by.

Enum: name, createdAt

Sorting configuration.

Example
{
  "field": "name",
  "direction": "asc"
}

page

Type: number

Page number for pagination.

pageSize

Type: number

Number of entries per page.

scope

Any of 2 types
  • Type: EntryScope

    Type of the entry, e.g. dash — dashboard, widget — chart, etc.

    Enum: dash, report, widget, dataset, folder, connection, compute, artifact

  • Type: EntryScope[]

    Example
    [
      "dash"
    ]
    

Filter entries by scope.

Example: dash

EntryScopeEntryScope

Type of the entry, e.g. dash — dashboard, widget — chart, etc.

Type: string

Enum: dash, report, widget, dataset, folder, connection, compute, artifact

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "entries": [
    {
      "entryId": "example",
      "scope": "dash",
      "type": "example",
      "key": "example",
      "displayKey": "example",
      "createdBy": "example",
      "createdAt": "example",
      "updatedBy": "example",
      "updatedAt": "example",
      "savedId": "example",
      "publishedId": "example",
      "revId": "example",
      "meta": {},
      "hidden": true,
      "workbookId": "example",
      "collectionId": "example",
      "tenantId": "example",
      "isFavorite": true,
      "isLocked": true,
      "permissions": {
        "execute": true,
        "read": true,
        "edit": true,
        "admin": true
      },
      "mirrored": true
    }
  ],
  "nextPageToken": "example"
}

Name

Description

entries

Type: GetWorkbookEntriesEntry[]

List of workbook entries.

Example
[
  {
    "entryId": "example",
    "scope": "dash",
    "type": "example",
    "key": "example",
    "displayKey": "example",
    "createdBy": "example",
    "createdAt": "example",
    "updatedBy": "example",
    "updatedAt": "example",
    "savedId": "example",
    "publishedId": "example",
    "revId": "example",
    "meta": {},
    "hidden": true,
    "workbookId": "example",
    "collectionId": "example",
    "tenantId": "example",
    "isFavorite": true,
    "isLocked": true,
    "permissions": {
      "execute": true,
      "read": true,
      "edit": true,
      "admin": true
    },
    "mirrored": true
  }
]

nextPageToken

Type: string

Token for retrieving the next page of results.

Example: example

GetWorkbookEntriesEntryGetWorkbookEntriesEntry

Name

Description

collectionId

Type: string | null

ID of the collection the entry belongs to.

Example: example

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

ID of the user who created the entry.

Example: example

displayKey

Type: string | null

Display key of the entry.

Example: example

entryId

Type: string

Unique identifier of the entry.

Example: example

hidden

Type: boolean | null

Indicates if the entry is hidden.

isFavorite

Type: boolean

Indicates if the entry is marked as favorite.

isLocked

Type: boolean

Indicates if the entry is locked.

key

Type: string | null

Key identifier of the entry.

Example: example

meta

Type: object | null

Metadata associated with the entry.

Example
{}

mirrored

Type: boolean | null

Indicates if the entry is mirrored.

publishedId

Type: string | null

Published revision ID.

Example: example

revId

Type: string

Current revision ID.

Example: example

savedId

Type: string | null

Saved revision ID.

Example: example

scope

Type: EntryScope

Type of the entry, e.g. dash — dashboard, widget — chart, etc.

Enum: dash, report, widget, dataset, folder, connection, compute, artifact

tenantId

Type: string | null

ID of the DataLens tenant.

Example: example

type

Type: string

Entity type of the entry.

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

ID of the user who last updated the entry.

Example: example

workbookId

Type: string | null

ID of the workbook the entry belongs to.

Example: example

permissions

Type: object

admin

Type: boolean

Indicates if there are permissions for admin.

edit

Type: boolean

Indicates if there are permissions to edit.

execute

Type: boolean

Indicates if there are permissions to execute.

read

Type: boolean

Indicates if there are permissions to read.

Permissions for the entry.

Example
{
  "execute": true,
  "read": true,
  "edit": true,
  "admin": true
}
Example
{
  "entryId": "example",
  "scope": "dash",
  "type": "example",
  "key": "example",
  "displayKey": "example",
  "createdBy": "example",
  "createdAt": "example",
  "updatedBy": "example",
  "updatedAt": "example",
  "savedId": "example",
  "publishedId": "example",
  "revId": "example",
  "meta": {},
  "hidden": true,
  "workbookId": "example",
  "collectionId": "example",
  "tenantId": "example",
  "isFavorite": true,
  "isLocked": true,
  "permissions": {
    "execute": true,
    "read": true,
    "edit": true,
    "admin": true
  },
  "mirrored": true
}

Was the article helpful?

Previous
Update workbook
Next
Update workbook access bindings
© 2026 Direct Cursus Technology L.L.C.